#!/usr/bin/env python
# -*- coding: utf-8 -*-
# @Time    : 17-3-10
# @Author  : JCai
# @desc    :


import MySQLdb
from datetime import datetime
import time

import os
import django

os.environ['DJANGO_SETTINGS_MODULE'] = 'starpro.settings'
django.setup()
from starpro.settings import DATABASES

host = DATABASES['default']['HOST']
user = DATABASES['default']['USER']
passwd = DATABASES['default']['PASSWORD']
db = DATABASES['default']['NAME']


def print_info(info):
    print time.strftime('%Y-%m-%d %H:%M:%S', time.localtime()) + '\n\t' + info


def script_sync_time(report_name, day_now):
    conn = MySQLdb.connect(
        host=host,
        port=3306,
        user=user,
        passwd=passwd,
        db=db,
        charset="utf8"
    )

    cur = conn.cursor()
    sql_update = "UPDATE platform_report_sync_date" \
                 " SET write_date='%s'" \
                 " WHERE  report_sync='%s'" % (day_now, report_name)

    if not cur.execute(sql_update):
        sqli = "INSERT INTO platform_report_sync_date (write_date, create_date, report_sync)" \
               "values(%s,%s,%s)"
        cur.execute(sqli, (day_now, day_now, report_name))
    cur.close()
    conn.commit()
    conn.close()


def get_script_sync_time(report_name=''):
    conn = MySQLdb.connect(
        host=host,
        port=3306,
        user=user,
        passwd=passwd,
        db=db,
        charset="utf8"
    )

    cur = conn.cursor()
    sql = "SELECT write_date FROM platform_report_sync_date WHERE report_sync='%s' LIMIT 1" % report_name
    count = cur.execute(sql)
    if count > 0:
        row = cur.fetchall()[0]
    cur.close()
    conn.close()
    if count > 0:
        return row[0]

    return datetime(2017, 1, 1, 0, 0, 0)


def truncate_table(report_name=''):
    if not report_name:
        return

    conn = MySQLdb.connect(
        host=host,
        port=3306,
        user=user,
        passwd=passwd,
        db=db,
        charset="utf8"
    )

    cur = conn.cursor()
    cur.execute('TRUNCATE TABLE ' + report_name)
    cur.close()
    conn.commit()
    conn.close()